Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
cocobubu

Nhờ anh em giúp lisp ghi cao độ mặt cắt ngang

Các bài được khuyến nghị

Em thâý ông anh dùng lisp ghi cao độ trên mặt cắt ngang bản vẽ hoàn công như sau: Chuyển trục tọa độ về gốc 0,sau đó copy một text về dưới chân cột cần ghi cao độ.Đánh lệnh rồi kích chuột vào điểm đầu cần lấy cao độ,chọn đối tượng text mà đã copy ở dưới.Kết quả là text đó đổi sang thành cao độ cần ghi.Lisp này giúp ích cho công việc vẽ hoàn công rất nhiều.Nhưng hiện nay em ko tìm thấy lisp này nữa.Ông anh cũng ko còn nhớ dow ở đâu nữa.Ai biết chỉ giùm hoặc viết giúp em.TRân trọng cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em cũng đã tìm nhưng chỉ là ghi cao độ sang bên cạnh mà không phải ghi cao độ vào text copy,vị trí là vị trí của text mình copy đến.Như vậy khi làm hoàn công sẽ nhanh hơn rất nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cụ thể là em làm thiết kế thi công và hoàn công đường,khi có thay đổi thiết kế hoặc hồ sơ hoàn công thì lại phải vẽ lại mặt cắt ngang như vậy cao độ cũng thay đổi theo.Em muốn ghi cao độ mới lên cao độ cũ.Trước khi viết bài này em cũng đã tìm hiểu trên diễn đàn và thấy có lisp cdx của anh Thaitreetz nhưng cũng không phải là ghi trên text cũ.Em mong được các anh giúp đỡ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em cũng đã tìm nhưng chỉ là ghi cao độ sang bên cạnh mà không phải ghi cao độ vào text copy,vị trí là vị trí của text mình copy đến.Như vậy khi làm hoàn công sẽ nhanh hơn rất nhiều.

Trong trường hợp search vẫn chưa có cái ưng ý thì bạn post bản vẽ lên, thể hiện càng rõ y/c của bạn càng tốt. Hy vọng có người giúp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Yêu cầu của bạn không khó tẹo nào, tuy nhiên lại vi phạm nội quy post bài yêu cầu. Mời bạn đọc kỹ lại nội quy (dưới chữ ký của mình)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@cocobubu: lần sau post bài nhớ đọc kỹ nội quy kẻo bị đưa qua tạm trú ở thùng rác thì khổ.

Code nhanh cho bạn đây:

(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
 (and
  (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
  (setq ent (car (entsel "\nChon Text de sua cao do: ")))
  (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em thấy lisp anh viết rất tuyệt vời vì giúp em tiết kiệm được rất nhiều thời gian trong công việc.(Dù với anh Hà là đơn giản).Em xin trân thành cám ơn anh.Còn việc vi phạm nội quy anh thông cảm,vì đây là lần đầu tiên em tham gia diễn đàn nên chưa đọc kỹ nội dung.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@cocobubu: lần sau post bài nhớ đọc kỹ nội quy kẻo bị đưa qua tạm trú ở thùng rác thì khổ.

Code nhanh cho bạn đây:

(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
 (and
  (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
  (setq ent (car (entsel "\nChon Text de sua cao do: ")))
  (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

Không ổn lắm bạn ah, đánh cốt thì phải kèm ký hiệu "âm, dương" chứ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không ổn lắm bạn ah, đánh cốt thì phải kèm ký hiệu "âm, dương" chứ?

Đây không phải đánh cốt bạn ah.Bạn đọc kỹ nhé,mình dùng và thấy rất ổn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

@cocobubu: lần sau post bài nhớ đọc kỹ nội quy kẻo bị đưa qua tạm trú ở thùng rác thì khổ.

Code nhanh cho bạn đây:

(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))

Lips này của bác DOAN VAN HA rất tuyệt vời. nhân tiện đọc bài này. em muốn nhờ bác và mọi người giúp em sửa lips này cho thêm 1 số tính năng nữa được ko ạ.

1. Thay vì lấy đường thẳng làm chuẩn Bác có thể cho em là nhập cao độ so sánh (ví dụ em lấy là 90 thì các điểm sau sẽ + hay trừ vào giá trị này) vì khi vẽ mặt cắt em toàn vẽ có mốc so sánh 

2. Đồng thời pick điểm tiếp theo sẽ cho luôn khoảng cách giữa 2 điểm và ghi luôn xuống dưới thì tuyệt quá.

 

em cảm ơn mọi người.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×